> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-golden-config-tree-version/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get details of a Golden Config tree version GET https://example.itential.io/configuration_manager/configs/{treeId}/{version} Returns a detailed view of the specified Golden Config tree version. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-golden-config-tree-version ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `treeId` (string, required) — treeId - `version` (string, required) — version ## Response ### 200 Requested Golden Config tree version - `id` (string, optional) - `name` (string, optional) - `description` (string, optional) - `deviceType` (string, optional) - `version` (string, optional) - `root` (object, optional) - `name` (string, required) - `attributes` (object, required) - `devices` (list of string, optional) - `configId` (string, optional) - `children` (list of any, required) - `variables` (list of object, optional) - `name` (string, optional) - `type` (enum, optional) - Allowed values: `literal`, `regex` - `value` (string, optional) - `created` (string, optional) - `createdBy` (string, optional) - `lastUpdated` (string, optional) - `lastUpdatedBy` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "id": "5c35355dbebaa82eaf8113f0", "name": "Cisco Edge - Day 0", "description": "string", "deviceType": "cisco-ios", "version": "initial", "root": { "name": "base", "attributes": { "devices": [ "xr9kv-atl" ], "configId": "5c35355dbebaa82eaf8113f0" }, "children": [ null ] }, "variables": [ { "name": "variable name", "type": "literal", "value": "variable value" } ], "created": "2019-04-12T14:42:47.958Z", "createdBy": "5c35355dbebaa82eaf8113f0", "lastUpdated": "2019-04-12T14:42:47.958Z", "lastUpdatedBy": "5c35355dbebaa82eaf8113f0" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/configs/treeId/version" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/configs/treeId/version'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/configs/treeId/version" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/configs/treeId/version") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/configuration_manager/configs/treeId/version") .asString(); ``` ```php request('GET', 'https://example.itential.io/configuration_manager/configs/treeId/version'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/configs/treeId/version"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/configs/treeId/version")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```